For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Create a new or update existing Transactions entries.
GA
POST
/transactions
Create a new or update existing Transactions entries with the provided data.
## Required Fields Summary
| Field | Type | Description |
|-------|------|-------------|
| `source_system_id` | string | ERP id which uniquely represents the specific transaction line record |
| `date` | date | Transaction date (YYYY-MM-DD) |
| `period` | date | Accounting period where journal/invoice was posted. <br/>⚠️ **Required format:** `yyyy-mm-01`|
| `type` | string | Presents the type of GL transaction |
| `subsidiary_currency_id` | string | Subsidiary currency id of the posted transaction line |
| `transaction_currency_id` | string | Currency id in which the transaction was posted |
| `amount` | double | Amount of the GL transaction in transaction currency |
| `transaction_amount` | double | Amount of the GL transaction in transaction currency |
| `subsidiary_amount` | double | Amount of the transaction in subsidiary base currency |
<Note title="Insights Module">
If using the **Insights Module**, the following fields are also required:
- `name`
- `vendor_id`
- `subsidiary`
- `subsidiary_id`
</Note>
Authentication
Authorizationstring
API Key authentication via header
Request
This endpoint expects a list of objects.
source_system_idstringRequired
ERP id which uniquely represents the specific transaction line record. This value will be used to match source data and perform upserts.
datedateRequired
Transaction date. Should be in the format YYYY-MM-DD.
perioddateRequired
Accounting period where journal / invoice was posted. Format:yyyy-mm-01 (e.g., 2026-03-01).
typestringRequired
Presents the type of gl transaction.
subsidiary_currency_idstringRequired
Subsidiary currency id of the posted transaction line in the gl. Should match the name in the currency list of source_coas.
transaction_currency_idstringRequired
Currency id in which the transaction was posted in the gl. Should match the g_source_system_id in the currency list of source_coas.
amountdoubleRequired
Amount of the gl transaction as presented in the transaction currency.
transaction_amountdoubleRequired
Amount of the gl transaction as presented in the transaction currency.
subsidiary_amountdoubleRequired
Amount of the transaction as translated to the base currency of the subsidiary.
subsidiary_currencystringOptional
Subsidiary currency of the posted transaction line in the gl. Should match the name in the currency list of source_coas. Use the ISO code of the currency.
transaction_currencystringOptional
Currency in which the transaction was posted in the gl. Should match the name in the currency list of source_coas. Use the ISO code of the currency.
subsidiarystringOptional
Expense subsidiary name linked to the gl transaction. This value should match the name in source_coas.
subsidiary_idstringOptional
Expense subsidiary id linked to the gl transaction. This value should match the g_source_system_id in source_coas.
namestringOptional
Vendor/Supplier name linked to the gl transaction.
vendor_idstringOptional
Id of the Vendor/Supplier. This value should match the source_vendors->g_source_system_id.
document_numberstringOptional
Invoice/Bill Number, Journal Name, Other transaction reference number.
glaccountstringOptional
Expense glaccount name linked to the gl transaction line. This value should match the name in source_coas.
glaccount_numberintegerOptional
Expense glacocunt number
glaccount_idstringOptional
Expense glaccount id linked to the gl transaction line. This value should match the g_source_system_id in source_coas.
memostringOptional
Journal Line Description, Invoice line description
exchange_ratedoubleOptional
Exchange rate applied on the transaction line.
departmentstringOptional
Expense department name linked to the gl transaction line. This value should match the name in source_coas.
department_idstringOptional
Expense department id linked to the gl transaction line. This value should match the g_source_system_id in source_coas.
gappify_idintegerOptional
Gappify id stamped on the JE that was posted.
po_idstringOptional
PO number associated with the AP invoice (if any). Blank for GL Journal. Should match the g_po_id in the source_purchase_orders.
companystringOptional
Expense company name linked to the gl transaction line. This value should match the name in source_coas.
company_idintegerOptional
Expense company id linked to the gl transaction line. This value should match the g_source_system_id in source_coas.